Переполнение буфера в SafeNet SoftRemote

Дата публикации:
05.11.2009
Дата изменения:
05.11.2009
Всего просмотров:
881
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SafeNet SoftRemote 10.x
Уязвимые версии: SafeNet SoftRemote 10.8.5 build 2 и 10.3.5 build 6, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в файле spdedit.exe при обработке файлов политик (.spd). Удаленный пользователь может с помощью специально сформированного файла политик, содержащего слишком длинные поля "TREENAME" и "GROUPNAME" вызвать переполнение стека и выполнить произвольный код на целевой системе. Для успешной эксплуатации уязвимости злоумышленник должен обманом заставить пользователя импортировать вредоносный .spd файл.

URL производителя: www.safenet-inc.com/products/vpn/softRemote.asp

Решение: Установите последнюю версию 10.8.9 с сайта производителя.

Ссылки: http://www.senseofsecurity.com.au/advisories/SOS-09-008

или введите имя

CAPTCHA